/*filter*/
.filter-layer .filter-area {
    border-radius: 0.3rem !important;
    background: #483b5e !important;
    min-width: 6.3rem;
    max-width: 7rem;
}

.filter-layer .filter-area .layui-layer-content {
    border-radius: 0.1rem;
}
.filter-layer {
    border-radius: 0.3rem !important;
}

/*header*/
.filter-layer .filter-area .header {
    color: #eaecef;
    text-align: center;
    font-weight: bold;
    background-color: rgb(78 79 112);
    padding: 0.2rem;
    border-top-left-radius: 0.3rem;
    border-top-right-radius: 0.3rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.filter-area .header .txt {
    font-size: 0.3rem;
    position: relative;
}

/*main*/
.filter-layer .filter-area .main {
    padding: 0 0.5rem;
    width: 100%;
}

.filter-area .main .remember-div {
    margin-top: 0.3rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 0 0 0.2rem;
}
.filter-area .main .remember-div .left {
    display: flex;
    align-items: center;
}
.filter-area .main .remember-div .remember-ckbox {
    margin-right: 0.1rem;
    width: 0.32rem;
    height: 0.32rem;
}

.filter-area .main .remember-div .remember-txt {
    font-size: 0.3rem;
    color: #eaecef;
}
.filter-area .main .remember-div .register-link {
    font-size: 0.3rem;
    color: #eaecef;
    display: block;
    border-bottom: 0.02rem solid #eaecef;
    padding-bottom: 0.01rem;
    text-decoration: none;
}
/*footer*/
.filter-area .footer {
    justify-content: space-between;
    padding: 0.4rem 0.4rem 0.3rem;
}

.filter-area .footer .enter-filter-btn {
    font-size: 0.3rem;
    width: 100%;
    height: 0.7rem;
    text-align: center;
    line-height: 0.7rem;
    border-radius: 0.1rem;
    font-weight: bold;
    cursor: pointer;
    background-color: #216f7c;
    color: #eaecef;
}

.filter-layer .filter-contnet {
    /* border: 2px solid red; */
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.2rem 0;
}

.filter-contnet p {
    font-size: 0.3rem;
}

.filter-layer .button-grid-row {
    /* border: 2px solid red; */
    display: flex;
    gap: 0.2rem;
    justify-content: center;
    align-items: center;
}

.filter-layer .button-grid-cel {
    width: 100%;
    /* border: 2px solid red; */
    flex: 1;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    color: rgb(172, 172, 172);

}



.filter-layer .type-item {
    /* border: 2px solid red; */
    padding: 0.2rem 0.5rem;
    cursor: pointer;
    background-color: #4e4f70;
    border-radius: 0.15rem;
    display: flex;
    gap: 0.2rem;
    margin-right: 0.2rem;
}
.filter-layer .type-item:last-child {
    margin-right: 0rem;
}

.filter-layer .type-item2 {
    /* border: 2px solid red; */
    padding: 0.2rem 0.2rem;
    min-width: 25%;
    cursor: pointer;
    background-color: #4e4f70;
    border-radius: 0.15rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 0.3rem 0 0.1rem;
    margin-bottom: 0.3rem;

}

.filter-layer .type-item2:last-child{
    margin-right: auto;
    margin-left: 0.18rem;
}

.filter-layer .type-item2 span,
.filter-layer .type-item span {
    white-space: nowrap; /* 禁止自動換行 */
}

.filter-layer .type-item2.active,
.filter-layer .type-item.active {
    color: #ff86bf; /* 點擊後的字體顏色 */
    background-color: #7d719d; /* 可同時改底色或其他 */
}

.filter-layer .button-grid-cel button {
    width: 100%;
    cursor: pointer;
    padding: 0.1rem;
    background: #392b4e;
    border: 0px solid #ff86bf;
    border-radius: 30px;
    text-align: center;
    line-height: 0.1rem;
    color: #ff86bf;
    font-size: 0.25rem;
    user-select: none;
    transition: background-color 0.3s ease, color 0.3s ease;
    min-height: 0.65rem;
    
}

.filter-layer .button-grid-cel button:active {
    background: #ff86bf;
    color: #392b4e;
}




/* 快速轉帳樣式 */
.filter-layer .filter-area .main .filter-contnet {
    /* border: 2px solid red; */
    margin: 0.1rem 0;
}

.filter-layer .filter-contnet2 {
    /* border: 2px solid red; */
    color: white;
    display: flex;
    justify-content: left;
    align-items: center;
    padding: 0.2rem 0;
}

#quickTransferForm input {
    all: unset;
    box-sizing: border-box;
    background-color: #3f3055;
    padding: 0.15rem 0.1rem;
    border-radius: 0.1rem;
    color: white;
}

#quickTransferForm input::placeholder {
    font-size: 0.2rem;
    color: #cdcdcd;
}

.filter-layer .filter-area .main .balance {
    /* border: 2px solid red; */
    color: white;
    display: flex;
    justify-content: left;
    align-items: center;
    margin-top: 0.2rem;
}

/* 開播時間樣式 */
.cross_icon {
    position: absolute;
    right: 0.3rem;
    cursor: pointer;
}

.filter-layer .filter-area .flex_direction {
    display: flex;
    flex-direction: column;
}

.filter-layer .filter-area .filter-contnet2 .row {
    display: flex;
    width: 100%;
    color: #cec8dd;
    margin-bottom: 0.2rem;
    border-bottom: 2px solid #6d6080;
    padding-bottom: 0.2rem;
}

.filter-layer .filter-area .filter-contnet2 .row:last-child {
    border-bottom: 0px;
    margin-bottom: 0rem;
}

.filter-layer .filter-area .filter-contnet2 .row .time {
    margin-right: 0.3rem;
    display: flex;
    justify-content: left;
    align-items: center;
}

.filter-layer .filter-area .filter-contnet2 .row .game {
    display: flex;
    justify-content: left;
    align-items: center;
}

.filter-layer .filter-area .filter-contnet2 .row .right {
    margin-left: auto;
}

.filter-layer .filter-area .filter-contnet2 .row .btn {
    background: #392b4e;
    padding: 0.1rem 0.3rem;
    border-radius: 0.3rem;
    color: #ff86bf;
    cursor: pointer;
}

.filter-layer .filter-area .filter-contnet2 .row .btn:hover {
    background: #ff86bf;
    color: #392b4e;
}


.filter-layer-live-iframe {
    border-radius: 0.3rem !important;
    background-color: unset !important;
}


.filter-layer-live-iframe .layui-layer-title {
    background-color: #703887 !important;
    color: white !important;
}


.filter-layer-live-iframe .layui-layer-title{
	padding: .15rem 0;
    margin: 0 auto;
	
    /*border-radius: 10px 10px 0 0;
    border-bottom: 1px solid #c2c2c2;
    background: #fff;*/
	color: #FFF;
	background: transparent;
	border-bottom: 2px solid #703887;
	border-radius: 0.3rem 0.3rem 0 0;
    font-size: .28rem;
    /*font-weight: 200;*/
    text-align: center;
    height: auto;
    line-height: initial;
}

/* X按鈕設定白色 */
.filter-layer-live-iframe .layui-layer-close1 {
    filter: invert(1) grayscale(100%) brightness(200%);
}


.filter-layer-live-iframe .layui-layer-content{
    border-radius:0 0 0.3rem 0.3rem ;

}























/* 移除箭頭 */
.no-arrow::-webkit-outer-spin-button,
.no-arrow::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.no-arrow[type="number"] {
    -moz-appearance: textfield;
}

/* scrollbar */
.scrollbar2 {
    width: 100%;
    overflow-y: auto;
}

/* 滾動條整體寬度 */
.scrollbar2::-webkit-scrollbar {
    width: 10px; /* 寬度可調整 */
}

/* 滾動條軌道（背景） */
.scrollbar2::-webkit-scrollbar-track {
    margin: 0.1rem; /* 滾動條縮短 */
    background: #312644; /* 軌道顏色 */
    border-radius: 31px;
}

/* 滾動條滑塊 */
.scrollbar2::-webkit-scrollbar-thumb {
    background: #8f59a7; /* 滑塊顏色 */
    border-radius: 31px;
}

/* 滑塊 hover 時 */
.scrollbar2::-webkit-scrollbar-thumb:hover {
    background: #7a4c8e;
}
